digraph "CFG for 'splay_tree_xmalloc_allocate' function" {
	label="CFG for 'splay_tree_xmalloc_allocate' function";

	Node0x2214f10 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%2:\l  %3 = alloca i32, align 4\l  %4 = alloca i8*, align 8\l  %5 = alloca i8*, align 8\l  store i32 %0, i32* %3, align 4\l  store i8* %1, i8** %4, align 8\l  store i8* null, i8** %5, align 8\l  %6 = load i8*, i8** %4, align 8\l  %7 = icmp ne i8* %6, null\l  br i1 %7, label %8, label %9\l|{<s0>T|<s1>F}}"];
	Node0x2214f10:s0 -> Node0x2214f60;
	Node0x2214f10:s1 -> Node0x2214fb0;
	Node0x2214f60 [shape=record,color="#b70d28ff", style=filled, fillcolor="#e8765c70",label="{%8:\l8:                                                \l  br label %9\l}"];
	Node0x2214f60 -> Node0x2214fb0;
	Node0x2214fb0 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%9:\l9:                                                \l  %10 = load %struct.d4d__maing*, %struct.d4d__maing** @d4d__main, align 8\l  %11 = getelementptr inbounds %struct.d4d__maing, %struct.d4d__maing* %10,\l... i32 0, i32 0\l  %12 = load i8* (i32)*, i8* (i32)** %11, align 8\l  %13 = load i32, i32* %3, align 4\l  %14 = call i8* %12(i32 %13)\l  store i8* %14, i8** %5, align 8\l  %15 = load i8*, i8** %5, align 8\l  %16 = load i32, i32* %3, align 4\l  call void @d4d__memzero(i8* %15, i32 %16)\l  %17 = load i8*, i8** %5, align 8\l  ret i8* %17\l}"];
}
